
#include "lab8.h"

#define streq(a, b) (strcmp((a), (b)) == 0)

void get_line(char* input, int size) {
	fgets(input, size, stdin);
	int len = strlen(input);
	if(len > 0)
		input[len - 1] = '\0';
}

int main(int argc, char** argv) {
	while(true) {
		printf("> ");
		char buf[100];
		get_line(buf, sizeof(buf));

		char* saveptr;
		char* command = strtok_r(buf, " ", &saveptr);

		if(command == NULL) {
			continue;
		} else if(streq(command, "exit")) {
			exit_main_thread();
		} else if(streq(command, "status")) {
			show_status();
		} else if(streq(command, "alarm")) {
			char* duration = strtok_r(NULL, " ", &saveptr);

			if(duration == NULL) {
				printf("please give a duration in seconds.\n");
			} else {
				set_alarm(atoi(duration));
			}
		}
	}
	return 0;
}